Bug 201869 - Missing libglitz.a from glitz-devel package
Missing libglitz.a from glitz-devel package
Product: Fedora
Classification: Fedora
Component: glitz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Work
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-09 11:29 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-18 00:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-08-09 11:29:14 EDT
Hi, it appears that the /usr/lib/libglitz.a file is missing from the 
glitz-devel package. It is needed to link things against it.
Comment 1 Eric Work 2006-08-09 13:19:06 EDT
The static libraries were intentionally left out.  The fedora packagaing guide
lines encourage the use of shared libraries as much as possible.

"Packages including libraries should exclude static libs as far as possible (eg
by configuring with --disable-static). Static libraries should only be included
in exceptional circumstances. Also applications linking against libraries should
as far as possible link against shared libraries not static versions."

Are you having problems linking against the shared library?  If you really need
the static libraries for your application you can build the SRPM file and remove
the --disable-static line and add the *.a files to the files list for each package.
Comment 2 Hugo Cisneiros 2006-08-15 12:03:04 EDT
I see. I needed this to compile the xorg-x11-server-Xgl package for Fedora. If 
this is not an exceptional case, then forget about it and close this bug. 
Maybe in the future, when Xgl/Xegl is stable enough and wide-used, it will be 
worthy :)

Thanks for your attention!

Note You need to log in before you can comment on or make changes to this bug.